POST SystemEvent
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/SystemEvent
Creates a new SystemEventEntity
Calls the Configuration agent service SaveSystemEventEntity. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/SystemEvent?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The SystemEventEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| SystemEventId | Integer | |
| Scope | String | |
| Eta | String | |
| Eventkey | String | |
| Eventmess | String | |
| ExtraInfo | Integer | |
| Owner | Integer | |
| UpdatedCount | Integer | |
| Registered | String | |
| ActivatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SystemEventEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| SystemEventId | int32 | |
| Scope | string | |
| Eta | date-time | |
| Eventkey | string | |
| Eventmess | string | |
| ExtraInfo | int32 | |
| Owner | int32 | |
| UpdatedCount | int32 | |
| Registered | date-time | |
| ActivatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/SystemEvent
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"SystemEventId": 106,
"Scope": "Database",
"Eta": "2001-12-12T14:34:02.426041+01:00",
"Eventkey": "dolore",
"Eventmess": "ut",
"ExtraInfo": 239,
"Owner": 6,
"UpdatedCount": 775,
"Registered": "2007-02-19T14:34:02.426041+01:00",
"ActivatedBy": null
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"SystemEventId": 505,
"Scope": "Database",
"Eta": "2017-02-09T14:34:02.426041+01:00",
"Eventkey": "sequi",
"Eventmess": "qui",
"ExtraInfo": 789,
"Owner": 487,
"UpdatedCount": 125,
"Registered": "2018-07-16T14:34:02.426041+02:00",
"ActivatedBy": null,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 298
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}